"""
@author: luojunhui
"""


class HistoryContentIdTaskConst:
    """
    历史文章id任务常量
    """
    # 任务处理中
    TASK_PROCESSING_STATUS = 101
    # 任务初始化状态
    TASK_INIT_STATUS = 0
    # 任务视频ETL 完成状态
    TASK_ETL_COMPLETE_STATUS = 3
    # 任务发布完成状态
    TASK_PUBLISHED_STATUS = 4
    # 文章已经退场 or 晋级
    EXIT_STATUS = 97
    # 文章品类不匹配
    MISMATCH_STATUS = 96
    # 视频已经下载成功状态
    VIDEO_DOWNLOAD_SUCCESS_STATUS = 2
    # 任务最多处理次数
    TASK_MAX_PROCESS_TIMES = 3

    # 与AIGC交互，发送处理完成的trace_id至AIGC系统
    RECORD_SUCCESS_TRACE_ID_CODE = 2
    RECORD_FAIL_TRACE_ID_CODE = 3
